@import "src/app/core/sass/abstracts/variables";
@import "src/app/core/sass/abstracts/mixins";

.about-us-main {
  background-color: $color-light-grey-1;
  padding: 4rem;
  position: relative;

  &__photos {
    margin: 8rem 2rem;
    text-align: center;
    position: relative;

    @include respond(phone) {
      margin: 0;
    }
  }
}

.heading-secondary {
  padding: 6rem;
  text-align: center;
  font-size: 8rem;
  font-weight: bold;
  text-transform: uppercase;

  @include respond(phone) {
    padding: 0;
    font-size: 6rem;
  }
}

.about-images {
  filter: grayscale(100%);
  object-fit: cover;
}

.box {
  position: relative;
  height: 40rem;
  overflow: hidden;

  @include respond(phone) {
    height: 30rem;
  }
}

.box .img-box {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  transition: 1.5s ease-in-out;
}

.box:hover .img-box {
  transform: translateY(-110%);
}

.box .layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: 1.5s ease-in-out;
}

.box .layer.layer-1 {
  background: black;
  transform: translateY(100%);
}

.box:hover .layer.layer-1 {
  background: black;
  transform: translateY(-110%);
}

.box-translate {
  transform: translateY(-110%);
}

.box-translate-layer {
  background: black !important;
  transform: translateY(-110%) !important;
}

.content {
  &__text {
    padding: 2rem;
    text-align: justify;
    overflow-y: auto;
    font-size: 1.5rem;
    cursor: default;

    @include respond(big-desktop) {
      font-size: inherit;
    }

    @media(max-width: 50em) {
      padding: 0;
    }

    @include respond(phone) {
      font-size: 1.4rem;
    }

    @media(max-width: 25em) {
      font-size: 1.1rem;
    }
  }

  &__link {
    color: black;
    cursor: pointer;
  }
}

.name-box {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  padding: 4rem;
  cursor: default;
}

.name-box h2 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin: 0;
  padding: 0;
  font-size: 10rem;
  font-weight: bold;
  text-transform: uppercase;
  text-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .2);

  @media(max-width: 48em) {
    font-size: 6rem;
  }
}

.name-box h2:nth-child(2) {
  background: $color-light-grey-1;
  color: white;
  overflow: hidden;
  z-index: 2;
  transition: 0.5s;
  --webkit-clip-path: polygon(0 0, 100% 0, 100% 0, 0% 100%);
  clip-path: polygon(0 0, 100% 0, 100% 0, 0% 100%);

  &:hover {
    --webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }
}

.name-box h2:first-child:hover ~ h2 {
  --webkit-clip-path: polygon(0 0, 100% 0, 100% 0, 0% 0);
  clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
}

.fake-hover-max {
  --webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%) !important;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%) !important;
}

.fake-hover-mori {
  --webkit-clip-path: polygon(0 0, 100% 0, 100% 0, 0% 0) !important;
  clip-path: polygon(0 0, 100% 0, 100% 0, 0 0) !important;
}

.col.hide-sm {
  @media (max-width: 25em) {
    max-width: 0;
    visibility: hidden;
    height: 0;
  }
}

.col-12.show-sm {
  @media (min-width: 25em) {
    max-width: 0;
    visibility: hidden;
    height: 0;
  }
}

.hint {
  font-size: 1.5rem;
}
